import { VxeUI } from '../ui';
import VxeGridComponent from './src/grid';
let isReg = false;
export const VxeGrid = Object.assign({}, VxeGridComponent, {
    install(app) {
        if (!isReg) {
            isReg = true;
            if (VxeUI.dynamicApp) {
                VxeUI.dynamicApp.component(VxeGridComponent.name, VxeGridComponent);
            }
        }
        app.component(VxeGridComponent.name, VxeGridComponent);
    }
});
VxeUI.component(VxeGridComponent);
export const Grid = VxeGrid;
export default VxeGrid;
